Overview
Features
Download
Documentation
Community
Add-Ons & Services

Conflict with pcre 8.30 in PocoFoundation

Please post support and help requests here.

Conflict with pcre 8.30 in PocoFoundation

Postby wslc » 11 Apr 2012, 09:51

Hello.

In my project I use both pcre and poco. Everything was fine before pcre update to version 8.30. Pcre developers did lots of things with utf8 and utf16 support and added functions like pcre_utf8.
Poco foundation libraries even if configured unbundled use "pcre_utf8_objects = pcre_ucd pcre_tables" where names like pcre_utf8 are defined.
So when I link libraries in order "poco pcre" I get error behavior and when link "pcre poco" my program works fine.
wslc
 
Posts: 1
Joined: 11 Apr 2012, 09:36

Return to Support

Who is online

Users browsing this forum: No registered users and 1 guest

cron